package com.njcn.pojo.balance;

import java.util.List;

public class BalanceInfo {
	public class PointInfo {
		private Integer pointId;
		private String pointName;
		private QtIdx qtIdx;
		private float civ; // 结果
		private int l; // 分级

		public PointInfo() {
			super();
			qtIdx = new QtIdx();
		}

		public Integer getPointId() {
			return pointId;
		}

		public void setPointId(Integer pointId) {
			this.pointId = pointId;
		}

		public String getPointName() {
			return pointName;
		}

		public void setPointName(String pointName) {
			this.pointName = pointName;
		}

		public QtIdx getQtIdx() {
			return qtIdx;
		}

		public void setQtIdx(QtIdx qtIdx) {
			this.qtIdx = qtIdx;
		}

		public float getCiv() {
			return civ;
		}

		public void setCiv(float civ) {
			this.civ = civ;
		}

		public int getL() {
			return l;
		}

		public void setL(int l) {
			this.l = l;
		}
	}

	private String areaIndex; // 区域的index
	private String areaName;// 区域名称
	private float ci; // 系统最终的评估分
	private List<PointInfo> list; // 监测点的详细信息
	private int isCount; // 标识是否经过计算，默认为0-未计算，1-计算

	public int getIsCount() {
		return isCount;
	}

	public void setIsCount(int isCount) {
		this.isCount = isCount;
	}

	public String getAreaIndex() {
		return areaIndex;
	}

	public void setAreaIndex(String areaIndex) {
		this.areaIndex = areaIndex;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public List<PointInfo> getList() {
		return list;
	}

	public void setList(List<PointInfo> list) {
		this.list = list;
	}

	public float getCi() {
		return ci;
	}

	public void setCi(float ci) {
		this.ci = ci;
	}
}
